<?php

use Lean\Console\Lib\DatabaseMigrations;

return [
    'lean.console' => [
        'picea' => [
            'context' => "Lean\\Console\\View",

            'view' => [
                [
                    'path' => getenv("PROJECT_PATH") . implode(DIRECTORY_SEPARATOR, [ "", "vendor", "mcnd" , "lean-console" , "view" ]),
                    'order' => 99,
                ],
            ],
        ],

        'ulmus' => [],

        'tell' => [
            'json' => [
                [
                    'path' => getenv("PROJECT_PATH") . "/vendor/mcnd/lean-console/meta/i18n",
                    'order' => 99,
                ],
            ]
        ],

        'routes' => [
            'Lean\\Console\\Controller' => getenv("PROJECT_PATH") . "/vendor/mcnd/lean-console/src/Controller/",
        ],
    ],

    DatabaseMigrations::class => function($c) {
        return new DatabaseMigrations( $c->get(Lean\Lean::class)->getEntities() );
    },
];