<?php

namespace Lean\Console\Controller;

use League\Route\Router;
use Picea\FileFetcher;
use Picea\Picea;
use Psr\Http\Message\{ ResponseInterface, ServerRequestInterface };

use Notes\Tell\Attribute\Language, Notes\Route\Attribute\Method\Route;

use \Lean\Console\Lib;

use Picea\Extension\UrlExtension;

#[Language("lean.templating")] # migrated from: "lean.templating"
class Templating extends Console {
    use Lib\ConsoleControllerTrait;

    #[Route(route: "/templating/picea", name: "lean.console:templating.picea")]
    public function picea(ServerRequestInterface $request, array $arguments) : ResponseInterface
    {
        $picea = $this->container->has(Picea::class) ? $this->container->get(Picea::class) : false;

        $list = $picea->fileFetcher->getFileList();

        return $this->renderView("lean-console/page/templating/picea", get_defined_vars());
    }
    
}